import request from '../utils/request'

export function getWfCategoryTree() {
  return request.get('/wf-categories')
}

export function createWfCategory(data) {
  return request.post('/wf-categories', data)
}

export function updateWfCategory(id, data) {
  return request.put(`/wf-categories/${id}`, data)
}

export function deleteWfCategory(id) {
  return request.delete(`/wf-categories/${id}`)
}

export function moveWfCategory(id, parentId) {
  return request.put(`/wf-categories/${id}/move`, { parentId })
}
